namespace CashLineERP.Application.IslamicFinance.Murabaha;

public interface IIslamicFinanceMurabahaAssetRepository
{
    IReadOnlyCollection<IslamicFinanceMurabahaAssetDetailView> GetAssets(long murabahaCaseId);
    IslamicFinanceMurabahaAssetDetailView? GetAsset(long murabahaAssetId);
    IslamicFinanceMurabahaAssetDetailView Create(CreateIslamicFinanceMurabahaAssetCommand command);
}
